<ng-container *ngIf="QEH.id else loading_screen">

  <section class="content-header">
    <div class="float-right">
      <button *ngIf="!QEH.published" class="btn btn-primary btn-sm btn-flat">
        <span class="fa fa-cloud-upload"></span>
        Publish
      </button>
      <a href="#" routerLink="/teacher/subjects/{{ QEH.sl_id }}" class="btn btn-danger btn-sm btn-flat">
        <span class="fa fa-angle-left"></span>
        &nbsp;Back
      </a>
    </div>
    <h1 class="page-head-line">
      QUESTIONS |
      <small>
        {{ QEH?.qeh_code }}
      </small>
    </h1>
  </section>

  <section class="content">
    <ul class="nav nav-tabs">
      <li *ngIf="QEH.has_multiple_choice" class="nav-item">
        <a class="nav-link px-2 small" href="#" routerLink="multiple-choice" routerLinkActive="active">Multiple choice</a>
      </li>
      <li *ngIf="QEH.has_identification" class="nav-item">
        <a class="nav-link px-2 small" href="#" routerLink="identification" routerLinkActive="active">Identification</a>
      </li>
      <li *ngIf="QEH.has_enumeration" class="nav-item">
        <a class="nav-link px-2 small" href="#" routerLink="enumeration" routerLinkActive="active">Enumeration</a>
      </li>
      <li *ngIf="QEH.has_true_false" class="nav-item">
        <a class="nav-link px-2 small" href="#" routerLink="true-false" routerLinkActive="active">True or False</a>
      </li>
      <li *ngIf="QEH.has_essay" class="nav-item">
        <a class="nav-link px-2 small" href="#" routerLink="essay" routerLinkActive="active">Essay</a>
      </li>
    </ul>
    <div class="bg-white min-h-60 border border-top-0 small p-3 mb-2">
      <router-outlet></router-outlet>
    </div>

    <div class="col-12 px-0  mb-4">

    </div>
  </section>

</ng-container>

<ng-template #loading_screen>
  <app-loading></app-loading>
</ng-template>